// SFImageTestDlg.h : header file
//

#if !defined(AFX_SFIMAGETESTDLG_H__69DAFDCA_1FEB_4C24_8A23_55DDB1163177__INCLUDED_)
#define AFX_SFIMAGETESTDLG_H__69DAFDCA_1FEB_4C24_8A23_55DDB1163177__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\Include\SFImage.h"
#include "Image.h"

const int TEMPLATE_COUNT = 100;

/////////////////////////////////////////////////////////////////////////////
// CSFImageTestDlg dialog

class CSFImageTestDlg : public CDialog
{
// Construction
public:
	CSFImageTestDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CSFImageTestDlg)
	enum { IDD = IDD_SFIMAGETEST_DIALOG };
	int		m_Resolution;
	int		m_EnrollQuality;
	int		m_SecurityLevel;
	//}}AFX_DATA
    CString m_Message;
    CRect m_MessageRect;
    CRect m_ImageRect;
    BYTE m_EnrollTemplate[ TEMPLATE_COUNT ][ SF_TEMPLATESIZE_MAX ];
    int m_Template;

    CImage m_Image;

    void MessageOut( CString Message, int Sound = -1 );
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSFImageTestDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CSFImageTestDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg void OnDestroy();
	afx_msg HCURSOR OnQueryDragIcon();
	virtual void OnOK();
	afx_msg void OnEnroll();
	afx_msg void OnIdentify();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SFIMAGETESTDLG_H__69DAFDCA_1FEB_4C24_8A23_55DDB1163177__INCLUDED_)
